Authentication

API authentication is required to invoke Burq API endpoints. Obtain separate API keys for sandbox and production environments through the Burq Dashboard.

Authentication Method

Pass your API key via the x-api-key request header:

curl --location --request GET 'https://api.burqup.com/v2/orders' \
--header 'x-api-key: 773e7b38-d83a-4663-9819-abcdeabcde01'

Environments

  • Sandbox: For validating your integration before going live. No real deliveries are created.
  • Production: Requires a valid payment method configured in the Burq Dashboard.

Getting API Keys

Sandbox key:
Enable the Test Mode toggle at the top of the Burq Dashboard, then navigate to the Developers section in the left hand navigation to copy your Sandbox Key.

Production key:
Disable the Test Mode toggle, then navigate to the Developers section in the left hand navigation to copy your Production Key.